<template>
	<view>
		<u-popup :show="show" @close="close" @open="open" :mode="mode" :round="round">
			<view class="topBar" style="">
				按钮等<button @click="close">关闭</button>
			</view>
			<slot name="content"></slot>
		</u-popup>
	</view>
</template>

<script>
	export default {
		props: ['show', 'mode', 'round'],
		methods: {
			close() {
				this.$emit('close')
			},
			open() {
				this.$emit('open')
			}
		}
	}
</script>

<style lang="scss" scoped>
	@import "./index.scss";
</style>